name := "scala-hhc"
version := "0.0.1"
scalaVersion := "2.13.1"

resolvers ++= Seq(
  Resolver.sonatypeRepo("releases"),
  Resolver.sonatypeRepo("snapshots")
)

scalacOptions ++= Seq("-deprecation", "-feature")

libraryDependencies ++= Seq(
  "org.typelevel" %% "cats-core" % "2.0.0",
  "com.softwaremill.quicklens" %% "quicklens" % "1.4.12",
  "com.softwaremill.macwire" %% "macros" % "2.3.3",
  "org.rogach" %% "scallop" % "3.4.0",
  "ch.qos.logback" % "logback-classic" % "1.2.3",
  "com.typesafe.scala-logging" %% "scala-logging" % "3.9.2",
  "com.github.valskalla" %% "odin-core" % "0.7.0"
)
