package config

import org.rogach.scallop._

class Conf(arguments: Seq[String]) extends ScallopConf(arguments) {
  val infile =
    opt[String](default = Some("Input.txt"), descr = "Input file")
  val outfile =
    opt[String](default = Some("Output.txt"), descr = "Output file")
  verify()
}
